LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Public Member Functions | List of all members
salhelper::ConditionWaiter Class Reference

`#include <condition.hxx>`

## Classes
struct | timedout

## Public Member Functions
| ConditionWaiter (Condition &aCond)
| throw (timedout)
| ~ConditionWaiter ()

## Constructor & Destructor Documentation

salhelper::ConditionWaiter::ConditionWaiter | ( | Condition & | aCond | ) |

salhelper::ConditionWaiter::~ConditionWaiter | ( |  | ) |

## Member Function Documentation

salhelper::ConditionWaiter::throw | ( | timedout |  | ) |

The documentation for this class was generated from the following file:

- salhelper/condition.hxx